Bug 1467145 - Accessing DFS Share from domain-name only
Accessing DFS Share from domain-name only
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.5-Alt
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andreas Schneider
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 00:20 EDT by amitkuma
Modified: 2017-10-30 23:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 10289 None None None 2017-08-14 11:40 EDT

  None (edit)
Description amitkuma 2017-07-03 00:20:52 EDT
Description of problem:
      RHEL                [AD]           Windows1         Windows2
                       DFS-Share(dfShare) 
                           |------------- test1
                           |------------------------------test2

# smbclient //<ad-domain>/dfShare -c 'dir'
tree connect failed: NT_STATUS_BAD_NETWORK_NAME

Customer has created an DFS-Share on AD-Domain-Controller, containing 2
shared-directories from other Windows-Servers. Now when we try to list DFS-Share using domain-name it fails.

Customer also want to access share using kerberos account using domain-name only.

Version-Release number of selected component (if applicable):
# cat etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)
#cat installed-rpms | grep samba
samba-client-4.4.4-12.el7_3.x86_64                          Tue Jun  6 11:30:33 2017
samba-client-libs-4.4.4-12.el7_3.x86_64                     Tue Jun  6 11:29:26 2017
samba-common-4.4.4-12.el7_3.noarch                          Tue Jun  6 11:29:25 2017
samba-common-libs-4.4.4-12.el7_3.x86_64                     Tue Jun  6 11:29:36 2017
samba-common-tools-4.4.4-12.el7_3.x86_64                    Tue Jun  6 11:30:34 2017
samba-libs-4.4.4-12.el7_3.x86_64                            Tue Jun  6 11:29:38 2017
#

How reproducible:
Always


Steps to Reproduce:
1. Configure DFS Share on windows AD
2. Try accessing share using domain-name
3.

Actual results:Share should be accessed.


Expected results:


Additional info:
Comment 6 Andreas Schneider 2017-08-14 11:40:37 EDT
This is known to be broken for quite some time. Adding upstream bug.

Note You need to log in before you can comment on or make changes to this bug.